- cli: pass HEAD by default in argparse

First, make "@" be an alias for HEAD. (Implemented in `get_oid`)

Second, do a little refactoring in *cli.py*. Some commands accept an optional
OID argument and if the argument isn't provided it defaults to HEAD. For example
`git log` can get an OID to start logging from, but by default it logs all
commits before HEAD.

Instead of having each command implement this logic, let's just make "@" (HEAD)
be the default value for those commands. The relevant commands at this stage
are `log` and `tag`. More will follow.
